PROMETHEUS-SNMP-EXPORTER(1)

NAME
prometheus-snmp-exporter - Prometheus exporter for SNMP-enabled devices

SYNOPSIS

prometheus-snmp-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--snmp.wrap-large-counters
    Wrap 64-bit counters to avoid floating point rounding.

--snmp.source-address
    Source address to send snmp from in the format 'address:port' to use when connecting targets. If the port parameter is empty or '0', as in '127.0.0.1:' or '[::1]:0', a source port number is automatically (random) chosen.

--config.file=/etc/prometheus/snmp.yml
    Path to configuration file.

--dry-run
    Only verify configuration is valid and exit.

--snmp.module-concurrency=1
    The number of modules to fetch concurrently per scrape

--snmp.debug-packets
    Include a full debug trace of SNMP packet traffics.

--config.expand-environment-variables
    Expand environment variables to source secrets

--web.telemetry-path
    Path under which to expose metrics.

--web.systemd-socket
    Use systemd socket activation listeners instead of port listeners (Linux only).

--web.listen-address=:9116
    Addresses on which to expose metrics and web interface. Repeatable for multiple addresses. Examples: `:9100` or `[::1]:9100` for http, `vsock://:9100` for vsock

--web.config.file
    Path to configuration file that can enable TLS or authentication. See: https://github.com/prometheus/exporter-toolkit/blob/master/docs/web-configuration.md

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--version
    Show application version.